1. Maurice Losier
  2. PowerBuilder
  3. Friday, 15 September 2017 17:57 PM UTC

I'm planning to migrate to PB2017 and continue to produce a 32 bit client application.

Will that application be able to make use of 64 bit ASE open client drivers or should i be looking at having 32 bit versions of open client installed.

 

Thanks in advance.

  1. Monday, 18 September 2017 12:49 PM UTC
  2. PowerBuilder
  3. # 1

Hi

The answer to your question is that you will need the 32-bit ASE cient for the 32-bit PB appliction.

Regards

David

Comment
There are no comments made yet.
Roland Smith Accepted Answer Pending Moderation
  1. Friday, 15 September 2017 20:37 PM UTC
  2. PowerBuilder
  3. # 2

You only need the version that matches the bitness of the application. The PowerBuilder IDE is 32bit so you will need the 32bit version on your pc. If you want to create a 64bit exe, you would need both on your pc (so you can test the 64bit build) but the clients would only need the 64bit.

It might be simpler to just install both, that way if you change your mind about the bitness of the app, you don't have to go and reinstall the open client.

Comment
There are no comments made yet.
Chris Pollach @Appeon Accepted Answer Pending Moderation
  1. Friday, 15 September 2017 19:06 PM UTC
  2. PowerBuilder
  3. # 3

Hi Maurice;

  You`ll need to install both the 32bit & 64bit ASE client drivers as the PB 2017 IDE can only  use the 32bit ASE drivers and of course, you`ll need the 64bit ASE drivers for your compiled 64bit PB App`s.

HTH

Regards ... Chris

Comment
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.